Package org.flowable.engine.task

# Interface Comment

All Superinterfaces:
  `HistoricData`

public interface Comment extends HistoricData
User comments that form discussions around tasks.

Author:
  Tom Baeyens, Joram Barrez
See Also:
  - `TaskService.getTaskComments(String)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFullMessage()`
  the full comment message the user had related to the task and/or process instance
  `String`
  `getId()`
  unique identifier for this comment
  `String`
  `getProcessInstanceId()`
  reference to the process instance on which this comment was made
  `String`
  `getTaskId()`
  reference to the task on which this comment was made
  `Date`
  `getTime()`
  time and date when the user made the comment
  `String`
  `getType()`
  reference to the type given to the comment
  `String`
  `getUserId()`
  reference to the user that made the comment
  `void`
  `setFullMessage(String fullMessage)`
  `void`
  `setProcessInstanceId(String processInstanceId)`
  `void`
  `setTaskId(String taskId)`
  `void`
  `setTime(Date time)`
  `void`
  `setType(String type)`
  `void`
  `setUserId(String userId)`

- ## Method Details

  - ### getId

    String getId()
    unique identifier for this comment

  - ### getUserId

    String getUserId()
    reference to the user that made the comment

  - ### setUserId

    void setUserId(String userId)

  - ### getTime

    Date getTime()
    time and date when the user made the comment
    Specified by:
      `getTime` in interface `HistoricData`

  - ### setTime

    void setTime(Date time)

  - ### getTaskId

    String getTaskId()
    reference to the task on which this comment was made

  - ### setTaskId

    void setTaskId(String taskId)

  - ### getProcessInstanceId

    String getProcessInstanceId()
    reference to the process instance on which this comment was made

  - ### setProcessInstanceId

    void setProcessInstanceId(String processInstanceId)

  - ### getType

    String getType()
    reference to the type given to the comment

  - ### setType

    void setType(String type)

  - ### getFullMessage

    String getFullMessage()
    the full comment message the user had related to the task and/or process instance
    See Also:
      - `TaskService.getTaskComments(String)`

  - ### setFullMessage

    void setFullMessage(String fullMessage)